ThinkPHP5.1在5.0的基础上对底层架构做了进一步的改进,引入新特性,并提升版本要求。 >[danger] ThinkPHP5的运行环境要求`PHP5.6+`,目前仅处于开发测试阶段,所以切勿盲目升级 其主要特性包括: + 引入容器和Facade支持 + 依赖注入完善 + 重构的(对象化)路由 + 配置和路由目录独立 + 取消系统常量 + 助手函数增强 + 类库别名机制 + 模型和数据库增强 + 支持PSR-3日志规范 下列功能已经废除: + 聚合模型 + 内置控制器扩展类 >[info] V5.1版本目前尚未正式发布,不排除某些功能存在调整和改进的可能,当然也不可避免的存在一些未知的BUG,敬请谅解